## performous 1.0+git150721

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Performous CXX C)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

include(GetGitRevisionDescription)
git_describe(PROJECT_VERSION --tags)
if(NOT PROJECT_VERSION)
	set(PROJECT_VERSION "1.0+")
endif()

message("Building ${PROJECT_NAME} ${PROJECT_VERSION}")

# Avoid source tree pollution
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
	message(FATAL_ERROR "In-source builds are not permitted. Make a separate folder for building:\nmkdir build; cd build; cmake ..\nBefore that, remove the files already created:\nrm -rf CMakeCache.txt CMakeFiles")
endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)

# Add a sensible build type default and warning because empty means no optimization and no debug info.
if(NOT CMAKE_BUILD_TYPE)
	message("WARNING: CMAKE_BUILD_TYPE is not defined!\n         Defaulting to CMAKE_BUILD_TYPE=RelWithDebInfo. Use ccmake to set a proper value.")
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE STREQUAL "Release")
	add_definitions("-DNDEBUG")
endif()

# Enable C++11 support and other compiler flags...
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
	message("Detected GCC version ${GCC_VERSION}")
	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
		set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
	elseif (GCC_VERSION VERSION_GREATER 4.6 OR GCC_VERSION VERSION_EQUAL 4.6)
		set(CMAKE_CXX_FLAGS "-std=c++0x -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
		add_definitions("-Doverride=")  # Hack: GCC 4.6 doesn't understand C++11 "override" keyword
	else()
		message(FATAL_ERROR "Your GCC compiler does not support c++11, please install at least gcc 4.6")
	endif()
endif()

if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
	set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra ${CMAKE_CXX_FLAGS}")
endif()

if(WIN32)
	set(CMAKE_CXX_FLAGS "-DWIN32_LEAN_AND_MEAN ${CMAKE_CXX_FLAGS}")
	set(SHARE_INSTALL_DEFAULT ".")
	SET(LOCALE_DIR_DEFAULT "locale")
else()
	set(SHARE_INSTALL_DEFAULT "share/games/performous")
	SET(LOCALE_DIR_DEFAULT "share/locale")
endif()

set(SHARE_INSTALL "${SHARE_INSTALL_DEFAULT}" CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
mark_as_advanced(SHARE_INSTALL)

set(LOCALE_DIR "${LOCALE_DIR_DEFAULT}" CACHE STRING "Locale file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
mark_as_advanced(LOCALE_DIR)

find_package(Gettext)
find_package(Msgfmt)
if(Gettext_FOUND AND Msgfmt_FOUND)
	message(STATUS "Localization enabled: Building and installing .mo files")
	add_subdirectory(lang)
else()
	message(STATUS "Localization disabled: Gettext or Msgfmt missing")
endif()

add_subdirectory(data)
add_subdirectory(game)

option(ENABLE_TOOLS "Enable building of song extraction utilities for SingStar and Guitar Hero." ON)
if(ENABLE_TOOLS)
	add_subdirectory(tools)
endif()

add_subdirectory(docs)

if(WIN32)
	install(FILES win32/ConfigureSongDirectory.bat DESTINATION .)
endif()

#CPACK variables
include(CPack)
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Niek Nooijens")
SET(CPACK_PACKAGE_CONTACT "nieknooijens@gmail.com")
SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6, libavcodec54, libavformat54, libavresample1, libsdl2-2.0-0, libportaudiocpp0, libboost-all-dev, libswscale2, libxml++2.6-2, libopencv-dev, librsvg2-2, libpango-1.0-0, libcairo2, libjpeg8, libpng12-0, libportmidi0 ")
SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION_SUMMARY "A free music rhythm game similar to SingStar, Guitar Hero and DDR")
SET(CPACK_DEBIAN_PACKAGE_VERSION ${PROJECT_VERSION})
SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
SET(CPACK_INSTALL_CMAKE_PROJECTS "${CPACK_INSTALL_CMAKE_PROJECTS};${CMAKE_BINARY_DIR};${PROJECT_NAME};ALL;/")

=== game/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

file(GLOB SOURCE_FILES "*.cc" "../common/image.cc")
file(GLOB HEADER_FILES "*.hh" "../common/image.hh" "libda/*.hpp")

if(WIN32)
	# We want to support all these version numbers:
	# 1.0 1.0.1 1.0+ 1.0.1+ 1.0-2-g123abcd 1.0.1-5-g123abcd
	# We use the 2-3 digits of the version as MAJOR.MINOR.PATCH
	# and the git patch number as TWEAK
	string(REGEX REPLACE "\\." ";"  VERSIONING ${PROJECT_VERSION})
	list(GET VERSIONING -1 LAST_ENTRY)
	list(REMOVE_AT VERSIONING -1)
	string(REGEX REPLACE "^([0-9]+)(.*)$" "\\1;\\2"  LAST_ENTRIES ${LAST_ENTRY})
	list(GET LAST_ENTRIES 0 LAST_ENTRY_NUM)
	list(GET LAST_ENTRIES 1 LAST_ENTRY_ADD)
	list(APPEND VERSIONING ${LAST_ENTRY_NUM})

	list(GET VERSIONING 0 VERSION_MAJOR)
	list(LENGTH VERSIONING VERSION_LENGTH)
	if(VERSION_LENGTH GREATER 1)
		list(GET VERSIONING 1 VERSION_MINOR)
	endif()
	if(VERSION_LENGTH GREATER 2)
		list(GET VERSIONING 2 VERSION_PATCH)
	endif()

	string(REGEX REPLACE "^-([0-9]+)-.*$" "\\1" VERSION_TWEAK "${LAST_ENTRY_ADD}")

	set(VERSIONS "MAJOR" "MINOR" "PATCH" "TWEAK")
	foreach(v ${VERSIONS})
		if(NOT VERSION_${v} MATCHES "^[0-9]+$")
			set(VERSION_${v} "0")
		endif()
	endforeach()
	message(STATUS "Setting .exe version: ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_TWEAK}")

	set(RESOURCE_FILES "${CMAKE_BINARY_DIR}/performous.rc")
	configure_file("../win32/performous.cmake.rc" "${RESOURCE_FILES}")

	if(MINGW)
		# According to MinGW tools, we need to compile the rc file, and then link it into projects:
		# windres foo.rc foores.o
		# gcc -o foo.exe foo.o foores.o
		if(NOT CMAKE_RC_COMPILER)
			find_program(CMAKE_RC_COMPILER windres)
		endif()
		if(NOT CMAKE_RC_COMPILER)
			message(STATUS "Cannot find windres. Will not create a versioned exe.")
			set(RESOURCE_FILES)
		else()
			set(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")
		endif()
	endif()
else()
	set(RESOURCE_FILES) #nothing
endif()

set(SOURCES ${SOURCE_FILES} ${HEADER_FILES} ${RESOURCE_FILES})

# Libraries

find_package(Boost 1.36 REQUIRED COMPONENTS thread date_time program_options regex filesystem system)
include_directories(${Boost_INCLUDE_DIRS})
list(APPEND LIBS ${Boost_LIBRARIES})

# Find all the libs that don't require extra parameters
foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ LibEpoxy AVFormat AVResample SWScale Z Jpeg Png PortAudio Fontconfig)
	find_package(${lib} REQUIRED)
	message(STATUS "${lib} includes: ${${lib}_INCLUDE_DIRS}")
	include_directories(${${lib}_INCLUDE_DIRS})
	list(APPEND LIBS ${${lib}_LIBRARIES})
	add_definitions(${${lib}_DEFINITIONS})
endforeach(lib)

find_package(Gettext)
if(Gettext_FOUND)
	include_directories(${Gettext_INCLUDE_DIRS})
	list(APPEND LIBS ${Gettext_LIBRARIES})
	add_definitions("-DUSE_GETTEXT")
	message(STATUS "Internationalization: Enabled")
else()
	message(STATUS "Internationalization: Disabled (libintl not found)")
endif()

option(ENABLE_MIDI "Enable support for MIDI hardware (e-drums with USB/MIDI connection)." ON)
if(ENABLE_MIDI)
	find_package(PortMidi)
	if(PortMidi_FOUND)
		include_directories(${PortMidi_INCLUDE_DIRS})
		list(APPEND LIBS ${PortMidi_LIBRARIES})
		add_definitions("-DUSE_PORTMIDI")
		message(STATUS "MIDI I/O: Enabled")
	else()
		message(STATUS "MIDI I/O: Disabled (libportmidi not found)")
	endif()
else()
	message(STATUS "MIDI I/O: Disabled (explicitly disabled)")
endif()

option(ENABLE_WEBCAM "Enable webcam support (OpenCV)." ON)
if(ENABLE_WEBCAM)
	find_package(OpenCV)
	if(OpenCV_FOUND)
		include_directories(${OpenCV_INCLUDE_DIRS})
		list(APPEND LIBS ${OpenCV_LIBS})
		add_definitions("-DUSE_OPENCV")
		message(STATUS "Webcam support: Enabled")
	else()
		message(STATUS "Webcam support: Disabled (libcv/libhighgui not found)")
	endif()
else()
	message(STATUS "Webcam support: Disabled (explicitly disabled)")
endif()


if(APPLE)
	# Needed for ffmpeg.cc to compile cleanly on OSX (it's a (unsigned long) long story)
	add_definitions("-D__STDC_CONSTANT_MACROS")
endif(APPLE)

if(UNIX)
	# Note: cannot use list APPEND here because it inserts semicolons instead of spaces
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread")
endif(UNIX)

if(WIN32)
	option(MXE_HACK "Features horrible hacks, but is able to compile a static performous.exe (that may not work)." OFF)
	mark_as_advanced(MXE_HACK)
	if(MXE_HACK)
		execute_process(COMMAND "${CMAKE_SOURCE_DIR}/win32/mxe/libs.sh"
			OUTPUT_VARIABLE MXE_HACK_STRING
		)
		set(CMAKE_CXX_LINK_EXECUTABLE ${CMAKE_CXX_LINK_EXECUTABLE}${MXE_HACK_STRING})
		add_definitions(-DBOOST_THREAD_USE_LIB)
	endif()
	set(BIN_INSTALL .)  # Straight to Program Files/Performous with no bin subfolder.
	set(SUBSYSTEM_WIN32 WIN32)
else()
	set(BIN_INSTALL bin)
endif()

# Build main executable
add_executable(performous ${SUBSYSTEM_WIN32} ${SOURCES} ${SDL2_SOURCES})
target_link_libraries(performous ${LIBS})
install(TARGETS performous DESTINATION ${BIN_INSTALL})

set_target_properties(performous PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)  # Store library paths in executable
set_target_properties(performous PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})  # Produce executable in build/, not build/game/

# Capitalized Performous.exe on Windows (this is considered more beautiful).
if(WIN32)
	set_target_properties(performous PROPERTIES OUTPUT_NAME "Performous")
endif()

# Generate config.hh
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.cmake.hh" "${CMAKE_CURRENT_BINARY_DIR}/config.hh" @ONLY)
include_directories("${CMAKE_CURRENT_BINARY_DIR}")

=== debian/changelog ===
performous (1.0+git150721-1build1) wily; urgency=medium

  * No-change rebuild for libxml++ soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Sep 2015 08:28:21 +0000

performous (1.0+git150721-1) unstable; urgency=medium

  * Imported Upstream version 1.0+git150721.
    - Fixes FTBFS with GCC-5. (Closes: #778059)
  * Add README.source.
  * Drop all patches. They were merged upstream.
    Use ffmpeg instead of avconv again because the project transitions from
    libav to ffmpeg.
  * performous-tools: Depend on ffmpeg instead of libav-tools.
  * d/control: New build-dependency libepoxy-dev.
  * d/control: Remove libglew-dev from Build-Depends. No longer needed.
  * d/copyright: Mention new BSL-1.0 licensed files.

 -- Markus Koschany <apo@gambaru.de>  Sun, 09 Aug 2015 13:44:19 +0200

performous (1.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Tue, 28 Apr 2015 22:45:04 +0200

=== debian/control ===
Source: performous
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 cmake,
 debhelper (>= 9),
 gettext,
 help2man,
 libasound2-dev,
 libavcodec-dev,
 libavformat-dev,
 libavresample-dev,
 libboost-all-dev,
 libcairo2-dev,
 libepoxy-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libportmidi-dev [linux-any],
 librsvg2-dev,
 libsdl2-dev,
 libswscale-dev,
 libxml++2.6-dev,
 pkg-config,
 portaudio19-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-games/performous.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/performous.git
Homepage: http://performous.org/

Package: performous
Architecture: any
Depends:
 fonts-droid,
 ${misc:Depends},
 ${shlibs:Depends}
Description: karaoke game that allows user supplied songs
 A karaoke, band and dancing game where one or more players perform a song
 and the game scores their performances. Supports songs in UltraStar,
 Frets on Fire and StepMania formats. Microphones and instruments from
 SingStar, Guitar Hero and Rock Band as well as some dance pads are
 autodetected.

Package: performous-tools
Architecture: any
Depends:
 ffmpeg,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 vorbis-tools
Suggests:
 performous
Description: karaoke game that allows user supplied songs - tools
 A karaoke, band and dancing game where one or more players perform a song
 and the game scores their performances. Supports songs in UltraStar,
 Frets on Fire and StepMania formats. Microphones and instruments from
 SingStar, Guitar Hero and Rock Band as well as some dance pads are
 autodetected.
 .
 This package includes some tools for converting original Singstar DVDs to
 the format used by Performous.

Package: performous-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 performous (= ${binary:Version}) | performous-tools (= ${binary:Version}),
 ${misc:Depends}
Description: karaoke game that allows user supplied songs - debug
 A karaoke, band and dancing game where one or more players perform a song
 and the game scores their performances. Supports songs in UltraStar,
 Frets on Fire and StepMania formats. Microphones and instruments from
 SingStar, Guitar Hero and Rock Band as well as some dance pads are
 autodetected.
 .
 This package includes the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Build without Altivec on ppc64el to prevent build failures
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ppc64el)
export DEB_CXXFLAGS_MAINT_APPEND := -mno-altivec
endif


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install --fail-missing
	$(RM) debian/performous-tools/usr/games/performous

override_dh_strip:
	dh_strip --dbg-package=performous-dbg

## performous 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include(GetGitRevisionDescription)
 git_describe(PROJECT_VERSION --tags)
 if(NOT PROJECT_VERSION)
-	set(PROJECT_VERSION "1.0+")
+	set(PROJECT_VERSION "1.1+")
 endif()
 
 message("Building ${PROJECT_NAME} ${PROJECT_VERSION}")

=== game/CMakeLists.txt ===
--- 
+++ 
@@ -64,8 +64,14 @@
 include_directories(${Boost_INCLUDE_DIRS})
 list(APPEND LIBS ${Boost_LIBRARIES})
 
+# LibEpoxy < 1.2 crashes with binary drivers (nvidia & fglrx) when creating shaders
+# (see https://github.com/anholt/libepoxy/issues/23 for the exact problem)
+find_package(LibEpoxy 1.2 REQUIRED)
+include_directories(${LibEpoxy_INCLUDE_DIRS})
+list(APPEND LIBS ${LibEpoxy_LIBRARIES})
+
 # Find all the libs that don't require extra parameters
-foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ LibEpoxy AVFormat AVResample SWScale Z Jpeg Png PortAudio Fontconfig)
+foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ AVFormat AVResample SWScale Z Jpeg Png PortAudio Fontconfig)
 	find_package(${lib} REQUIRED)
 	message(STATUS "${lib} includes: ${${lib}_INCLUDE_DIRS}")
 	include_directories(${${lib}_INCLUDE_DIRS})

=== lang/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
file(GLOB LANGUAGES *.po)
foreach(language ${LANGUAGES})
	string(REGEX REPLACE "(.+(\\\\|/))+" "" language ${language})
	string(REGEX REPLACE "\\.po$" "" language ${language})
	set(pofile "${CMAKE_CURRENT_SOURCE_DIR}/${language}.po")
	set(mobuild "${CMAKE_CURRENT_BINARY_DIR}/${language}/LC_MESSAGES")
	set(mofile "${mobuild}/${CMAKE_PROJECT_NAME}.mo")
	file(MAKE_DIRECTORY "${mobuild}")
	add_custom_command(OUTPUT "${mofile}" COMMAND "${Msgfmt_BIN}" -v "${pofile}" -o "${mofile}" MAIN_DEPENDENCY "${pofile}" COMMENT "Building ${language} locale" VERBATIM)
	add_custom_target("locale_${language}" ALL DEPENDS "${mofile}")  # Make sure the mofiles are always built
	install(FILES "${mofile}" DESTINATION "${LOCALE_DIR}/${language}/LC_MESSAGES")
endforeach(language)

=== tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Libraries

find_package(Boost 1.34 REQUIRED COMPONENTS filesystem program_options system)
include_directories(${Boost_INCLUDE_DIRS})

# Find all the libs that don't require extra parameters

foreach(lib LibXML++ Z Jpeg Png Z)
find_package(${lib})
	if (${lib}_FOUND)
		include_directories(${${lib}_INCLUDE_DIRS})
		add_definitions(${${lib}_DEFINITIONS})
	endif (${lib}_FOUND)
endforeach(lib)

if (Z_FOUND)
	if (LibXML++_FOUND)
		add_executable(ss_extract ss_extract.cc pak.cc ipu_conv.cc ss_cover.cc ../common/image.cc)
		target_link_libraries(ss_extract ${LibXML++_LIBRARIES} ${Boost_LIBRARIES} ${Z_LIBRARIES} ${Jpeg_LIBRARIES} ${Png_LIBRARIES})
		set(targets ${targets} ss_extract)

		add_executable(ss_cover_conv cover_conv.cc pak.cc ss_cover.cc ../common/image.cc)
		target_link_libraries(ss_cover_conv ${LibXML++_LIBRARIES} ${Boost_LIBRARIES} ${Z_LIBRARIES} ${Jpeg_LIBRARIES} ${Png_LIBRARIES})
		set(targets ${targets} ss_cover_conv)
	else (LibXML++_FOUND)
		message("No LibXML++ found, not building ss_extract nor ss_cover_conv")
	endif (LibXML++_FOUND)

	add_executable(ss_pak_extract pak_extract.cc pak.cc)
	target_link_libraries(ss_pak_extract ${Boost_LIBRARIES} ${Z_LIBRARIES})
	set(targets ${targets} ss_pak_extract)

	add_executable(itg_pck itg_pck.cc)
	target_link_libraries(itg_pck ${Boost_LIBRARIES} ${Z_LIBRARIES})
	set(targets ${targets} itg_pck)

	add_executable(ss_chc_decode ss_chc_decode.cc)
	target_link_libraries(ss_chc_decode ${Boost_LIBRARIES} ${Z_LIBRARIES})
	set(targets ${targets} ss_chc_decode)

	add_executable(ss_adpcm_decode adpcm_decode.cc pak.cc)
	target_link_libraries(ss_adpcm_decode ${Z_LIBRARIES})
	set(targets ${targets} ss_adpcm_decode)
endif()

add_executable(ss_archive_extract archive_extract.cc)
target_link_libraries(ss_archive_extract ${Boost_LIBRARIES})
set(targets ${targets} ss_archive_extract)

add_executable(gh_fsb_decrypt gh_fsb/fsbext.c)
add_executable(gh_xen_decrypt gh_xen_decrypt.cc)
add_executable(ss_ipu_conv ipu_conv.cc ipuconvmain.cc pak.cc)
set(targets ${targets} gh_fsb_decrypt gh_xen_decrypt ss_adpcm_decode ss_ipu_conv)

# add install target:
if(WIN32)
	install(TARGETS ${targets} DESTINATION tools)
else()
	install(TARGETS ${targets} DESTINATION bin)
endif()

=== debian/changelog ===
performous (1.1-2build2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 16:41:24 +0000

performous (1.1-2build1) zesty; urgency=medium

  * Rebuild against imagemagick libs.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 19 Jan 2017 09:20:53 +0530

performous (1.1-2) unstable; urgency=medium

  * Suggest fretsonfire-songs-muldjord and fretsonfire-songs-sectoid music
    packages. (Closes: #425898)
  * Declare compliance with Debian Policy 3.9.8.
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Nov 2016 23:13:53 +0100

performous (1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.
  * Add get-orig-source target.
  * Drop all patches. Applied upstream.
  * Drop README.source.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jan 2016 20:21:45 +0100

performous (1.0+git150721-3) unstable; urgency=medium

  * Drop performous-dbg package because the automatic -dbgsym package
    has replaced it.
  * debian/control: Replace fonts-droid with fonts-noto-mono. (Closes: #804685)

 -- Markus Koschany <apo@debian.org>  Sun, 17 Jan 2016 17:53:56 +0100

performous (1.0+git150721-2) unstable; urgency=medium

  * Add ffmpeg_2.9.patch.
    Fix FTBFS with upcoming ffmpeg 2.9 transition.
    Thanks to Andreas Cadhalpun for the report and patch. (Closes: #803853)
  * Add reproducible-build.patch and make the build reproducible by
    removing the __DATE__ macro.
  * Update my e-mail address.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Sun, 08 Nov 2015 21:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <miriam@debian.org>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  gettext,
  help2man,
  libasound2-dev,
@@ -29,17 +29,20 @@
  libxml++2.6-dev,
  pkg-config,
  portaudio19-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-games/performous.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/performous.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/performous.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/performous.git
 Homepage: http://performous.org/
 
 Package: performous
 Architecture: any
 Depends:
- fonts-droid,
+ fonts-noto-mono,
  ${misc:Depends},
  ${shlibs:Depends}
+Suggests:
+ fretsonfire-songs-muldjord,
+ fretsonfire-songs-sectoid
 Description: karaoke game that allows user supplied songs
  A karaoke, band and dancing game where one or more players perform a song
  and the game scores their performances. Supports songs in UltraStar,
@@ -67,18 +70,3 @@
  This package includes some tools for converting original Singstar DVDs to
  the format used by Performous.
 
-Package: performous-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- performous (= ${binary:Version}) | performous-tools (= ${binary:Version}),
- ${misc:Depends}
-Description: karaoke game that allows user supplied songs - debug
- A karaoke, band and dancing game where one or more players perform a song
- and the game scores their performances. Supports songs in UltraStar,
- Frets on Fire and StepMania formats. Microphones and instruments from
- SingStar, Guitar Hero and Rock Band as well as some dance pads are
- autodetected.
- .
- This package includes the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -21,5 +21,5 @@
 	dh_install --fail-missing
 	$(RM) debian/performous-tools/usr/games/performous
 
-override_dh_strip:
-	dh_strip --dbg-package=performous-dbg
+get-orig-source:
+	uscan --download-current-version --force-download

## performous 1.1%2Bgit20181118

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,22 +26,23 @@
 	add_definitions("-DNDEBUG")
 endif()
 
-# Enable C++11 support and other compiler flags...
+# Enable C++14 support and other compiler flags...
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
 	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
 	message("Detected GCC version ${GCC_VERSION}")
-	if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
-		set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
-	elseif (GCC_VERSION VERSION_GREATER 4.6 OR GCC_VERSION VERSION_EQUAL 4.6)
-		set(CMAKE_CXX_FLAGS "-std=c++0x -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
-		add_definitions("-Doverride=")  # Hack: GCC 4.6 doesn't understand C++11 "override" keyword
+	if (GCC_VERSION VERSION_GREATER 7 OR GCC_VERSION VERSION_EQUAL 7)
+		set(CMAKE_CXX_FLAGS "-std=c++14 -Wall -Wextra -fcx-limited-range ${CMAKE_CXX_FLAGS}")
+	elseif (GCC_VERSION VERSION_GREATER 4.8 OR GCC_VERSION VERSION_EQUAL 4.8)
+		set(CMAKE_CXX_FLAGS "-std=c++1y -Wall -Wextra -Wno-attributes -Wno-deprecated-declarations -fcx-limited-range ${CMAKE_CXX_FLAGS}")
+		message(WARNING "Your GCC is rather old, disabling some useful compiler warnings (GCC 7+ or Clang 5+ recommended for proper C++17 support).")
 	else()
-		message(FATAL_ERROR "Your GCC compiler does not support c++11, please install at least gcc 4.6")
+		message(FATAL_ERROR "Your C++ compiler is too old, please upgrade.")
 	endif()
 endif()
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-	set(CMAKE_CXX_FLAGS "-std=c++11 -Wall -Wextra ${CMAKE_CXX_FLAGS}")
+	# Note: AUTO_PTR is for Boost which won't compile with C++17 otherwise (fixed in Boost git but not in 1.66)
+	set(CMAKE_CXX_FLAGS "-std=c++1z -Wall -Wextra -D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR ${CMAKE_CXX_FLAGS}")
 endif()
 
 if(WIN32)
@@ -60,22 +61,18 @@
 mark_as_advanced(LOCALE_DIR)
 
 find_package(Gettext)
-find_package(Msgfmt)
-if(Gettext_FOUND AND Msgfmt_FOUND)
+if(Gettext_FOUND)
 	message(STATUS "Localization enabled: Building and installing .mo files")
 	add_subdirectory(lang)
 else()
-	message(STATUS "Localization disabled: Gettext or Msgfmt missing")
+	message(STATUS "Localization disabled: Gettext tools (msgfmt) missing")
 endif()
+
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/ced)
 
 add_subdirectory(data)
 add_subdirectory(game)
-
-option(ENABLE_TOOLS "Enable building of song extraction utilities for SingStar and Guitar Hero." ON)
-if(ENABLE_TOOLS)
-	add_subdirectory(tools)
-endif()
-
+add_subdirectory(ced)
 add_subdirectory(docs)
 
 if(WIN32)
@@ -86,7 +83,7 @@
 include(CPack)
 SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Niek Nooijens")
 SET(CPACK_PACKAGE_CONTACT "nieknooijens@gmail.com")
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6, libavcodec54, libavformat54, libavresample1, libsdl2-2.0-0, libportaudiocpp0, libboost-all-dev, libswscale2, libxml++2.6-2, libopencv-dev, librsvg2-2, libpango-1.0-0, libcairo2, libjpeg8, libpng12-0, libportmidi0 ")
+SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6, libavcodec54, libavformat54, libswresample2, libsdl2-2.0-0, libportaudiocpp0, libboost-all-dev, libswscale2, libxml++2.6-2, libopencv-dev, librsvg2-2, libpango-1.0-0, libcairo2, libjpeg8, libpng12-0, libportmidi0 ")
 SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION_SUMMARY "A free music rhythm game similar to SingStar, Guitar Hero and DDR")
 SET(CPACK_DEBIAN_PACKAGE_VERSION ${PROJECT_VERSION})
 SET(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")

## performous 1.1+git20181118

=== ced/CMakeLists.txt ===
# Copyright 2016 Google Inc.  All Rights Reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# Old enough to support Ubuntu Precise.
cmake_minimum_required(VERSION 2.8.7)
set(PROJECT_VERSION 1.0)

if (WIN32)
  if (NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/compact_enc_det/compact_enc_det.h")
    message(FATAL_ERROR "\nCould not find source code.  Make sure you are running this script from the root of the distribution tree.")
  endif()
endif()

project(CED CXX)
set(CMAKE_SUPPRESS_DEVELOPER_WARNINGS 1 CACHE INTERNAL "No dev warnings")

option(BUILD_SHARED_LIBS "Build shared libraries" OFF)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wno-narrowing")
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wno-c++11-narrowing")
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
  if (NOT BUILD_SHARED_LIBS)
    foreach(flag_var
            CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
            CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif(${flag_var} MATCHES "/MD")
    endforeach(flag_var)
  endif()
endif()

set(EXTRA_TARGET_LINK_LIBRARIES)

if(WIN32)
  add_definitions(-DUNICODE -D_UNICODE -DSTRICT -DNOMINMAX)
endif()

set(THREADING thread) 
list(APPEND EXTRA_TARGET_LINK_LIBRARIES -pthread)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

set(CED_LIBRARY_SOURCES
    compact_enc_det/compact_enc_det.cc
    compact_enc_det/compact_enc_det_hint_code.cc
    util/encodings/encodings.cc
    util/languages/languages.cc
    )

add_library(ced STATIC ${CED_LIBRARY_SOURCES})

# Uncomment to put CED into WHATWG-compliant mode.
#add_definitions(-DHTML5_MODE)

=== data/CMakeLists.txt ===
set(APPLICATION_FILE "performous.desktop")
set(PIXMAP_FILE      "themes/default/icon.svg")

# Install launcher and fonts on system level
if(APPLE)
	install(FILES ${APPLICATION_FILE} DESTINATION "Resources/applications/")
	install(FILES ${PIXMAP_FILE} DESTINATION "Resources/pixmaps/" RENAME "performous.svg")
	#file(GLOB FONT_FILES "fonts/*")
	#install(FILES ${FONT_FILES} DESTINATION "Resources/fonts/truetype/performous")
elseif(UNIX)
	install(FILES ${APPLICATION_FILE} DESTINATION "share/applications/")
	install(FILES ${PIXMAP_FILE} DESTINATION "share/pixmaps/" RENAME "performous.svg")
	#file(GLOB FONT_FILES "fonts/*")
	#install(FILES ${FONT_FILES} DESTINATION "share/fonts/truetype/performous")
endif()

install(DIRECTORY backgrounds config fonts shaders sounds themes xsl DESTINATION ${SHARE_INSTALL})

=== game/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
-file(GLOB SOURCE_FILES "*.cc" "../common/image.cc")
-file(GLOB HEADER_FILES "*.hh" "../common/image.hh" "libda/*.hpp")
+file(GLOB SOURCE_FILES "*.cc")
+file(GLOB HEADER_FILES "*.hh" "libda/*.hpp")
 
 if(WIN32)
 	# We want to support all these version numbers:
@@ -42,6 +42,8 @@
 		# According to MinGW tools, we need to compile the rc file, and then link it into projects:
 		# windres foo.rc foores.o
 		# gcc -o foo.exe foo.o foores.o
+		find_library(WSOCK32_LIBRARY wsock32)
+		find_library(WS2_32_LIBRARY ws2_32)
 		if(NOT CMAKE_RC_COMPILER)
 			find_program(CMAKE_RC_COMPILER windres)
 		endif()
@@ -60,9 +62,18 @@
 
 # Libraries
 
-find_package(Boost 1.36 REQUIRED COMPONENTS thread date_time program_options regex filesystem system)
+find_package(Boost 1.36 REQUIRED COMPONENTS program_options filesystem iostreams system locale)
 include_directories(${Boost_INCLUDE_DIRS})
 list(APPEND LIBS ${Boost_LIBRARIES})
+
+if (Boost_VERSION VERSION_LESS 105500)
+	message("-- Using Boost < 1.55: defining BOOST_NO_CXX11_SCOPED_ENUMS")
+	set(CMAKE_CXX_FLAGS "-DBOOST_NO_CXX11_SCOPED_ENUMS ${CMAKE_CXX_FLAGS}")
+endif()
+
+find_package(ICU REQUIRED uc data i18n io)
+include_directories(${ICU_INCLUDE_DIRS})
+list(APPEND LIBS ${ICU_LIBRARIES})
 
 # LibEpoxy < 1.2 crashes with binary drivers (nvidia & fglrx) when creating shaders
 # (see https://github.com/anholt/libepoxy/issues/23 for the exact problem)
@@ -71,23 +82,13 @@
 list(APPEND LIBS ${LibEpoxy_LIBRARIES})
 
 # Find all the libs that don't require extra parameters
-foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ AVFormat AVResample SWScale Z Jpeg Png PortAudio Fontconfig)
+foreach(lib ${OUR_LIBS} SDL2 PangoCairo LibRSVG LibXML++ AVFormat SWResample SWScale ZLIB JPEG PNG PortAudio Fontconfig GLM)
 	find_package(${lib} REQUIRED)
 	message(STATUS "${lib} includes: ${${lib}_INCLUDE_DIRS}")
 	include_directories(${${lib}_INCLUDE_DIRS})
 	list(APPEND LIBS ${${lib}_LIBRARIES})
 	add_definitions(${${lib}_DEFINITIONS})
 endforeach(lib)
-
-find_package(Gettext)
-if(Gettext_FOUND)
-	include_directories(${Gettext_INCLUDE_DIRS})
-	list(APPEND LIBS ${Gettext_LIBRARIES})
-	add_definitions("-DUSE_GETTEXT")
-	message(STATUS "Internationalization: Enabled")
-else()
-	message(STATUS "Internationalization: Disabled (libintl not found)")
-endif()
 
 option(ENABLE_MIDI "Enable support for MIDI hardware (e-drums with USB/MIDI connection)." ON)
 if(ENABLE_MIDI)
@@ -119,19 +120,35 @@
 	message(STATUS "Webcam support: Disabled (explicitly disabled)")
 endif()
 
+option(ENABLE_WEBSERVER "Enable webserver support (cpprestsdk)." ON)
+if(ENABLE_WEBSERVER)
+	foreach(lib CppRest)
+		find_package(${lib})
+	endforeach(lib)
+	if(CppRest_FOUND)
+		find_package(Boost 1.36 REQUIRED COMPONENTS chrono thread)
+		include_directories(${Boost_INCLUDE_DIRS})
+		list(APPEND LIBS ${Boost_LIBRARIES})
 
-if(APPLE)
-	# Needed for ffmpeg.cc to compile cleanly on OSX (it's a (unsigned long) long story)
-	add_definitions("-D__STDC_CONSTANT_MACROS")
-endif(APPLE)
+		include_directories(${CppRest_INCLUDE_DIRS})
+		list(APPEND LIBS ${CppRest_LIBRARIES})
+		message(STATUS "Webserver support: Enabled")
+		add_definitions("-DUSE_WEBSERVER")
+	else()
+		message(STATUS "Webserver support: Disabled (cpprestsdk not found)")
+	endif()
+else()
+	message(STATUS "Webserver support: Disabled (explicitly disabled)")
+endif()
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
 	# Note: cannot use list APPEND here because it inserts semicolons instead of spaces
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
 	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread")
-endif(UNIX)
+endif()
 
 if(WIN32)
+	add_definitions("-DEPOXY_SHARED")
 	option(MXE_HACK "Features horrible hacks, but is able to compile a static performous.exe (that may not work)." OFF)
 	mark_as_advanced(MXE_HACK)
 	if(MXE_HACK)
@@ -149,7 +166,12 @@
 
 # Build main executable
 add_executable(performous ${SUBSYSTEM_WIN32} ${SOURCES} ${SDL2_SOURCES})
+if(WIN32)
+  target_link_libraries(performous wsock32 ws2_32)
+endif()
 target_link_libraries(performous ${LIBS})
+target_link_libraries(performous ced)
+
 install(TARGETS performous DESTINATION ${BIN_INSTALL})
 
 set_target_properties(performous PROPERTIES INSTALL_RPATH_USE_LINK_PATH TRUE)  # Store library paths in executable

=== lang/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# It should be possible to switch to CMake's GETTEXT_CREATE_TRANSLATIONS
# if we either drop the LOCALE_DIR or that function gets a customised
# INSTALL_DESTINATION.
# FIXME: Always execute msgmerge, like in CMake's GETTEXT_CREATE_TRANSLATIONS?

file(GLOB _languages *.po)
set(_mofiles)
foreach(_pofile ${_languages})
	get_filename_component(_language ${_pofile} NAME_WE)
	set(_mofile ${CMAKE_CURRENT_BINARY_DIR}/${_language}.mo)
	add_custom_command(
		OUTPUT ${_mofile}
		COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -v ${_pofile} -o ${_mofile}
		DEPENDS ${_pofile}
		COMMENT "Building ${_language} locale"
		VERBATIM)
	install(FILES ${_mofile} DESTINATION ${LOCALE_DIR}/${_language}/LC_MESSAGES RENAME ${CMAKE_PROJECT_NAME}.mo)
	set(_mofiles ${_mofiles} ${_mofile})
endforeach()

add_custom_target(translations ALL DEPENDS ${_mofiles})

=== docs/man/CMakeLists.txt ===
find_program(HELP2MAN help2man DOC "Location of the help2man program")
find_program(GZIP gzip DOC "Location of the gzip program")
mark_as_advanced(HELP2MAN)
mark_as_advanced(GZIP)
if(HELP2MAN AND GZIP)
	set(MANFILE ${CMAKE_CURRENT_BINARY_DIR}/performous.6.gz)
	set(H2MFILE ${CMAKE_CURRENT_SOURCE_DIR}/performous.h2m)
	set(PERFORMOUS_EXEC ${CMAKE_BINARY_DIR}/performous)
	add_custom_command(
		OUTPUT ${MANFILE}
		COMMAND ${HELP2MAN} ${PERFORMOUS_EXEC} -s 6 -i ${H2MFILE} -N | ${GZIP} > ${MANFILE}
		MAIN_DEPENDENCY ${H2MFILE}
		DEPENDS ${PERFORMOUS_EXEC}
		COMMENT "Building Performous man page"
		VERBATIM
	)
	add_custom_target(manpage ALL DEPENDS ${MANFILE})
	iF (APPLE)
	    install(FILES ${MANFILE} DESTINATION Resources/man/man6)
	else(APPLE)
    	install(FILES ${MANFILE} DESTINATION share/man/man6)
	endif()
else(HELP2MAN AND GZIP)
	message("WARNING: One of the following is missing: help2man, gzip; performous man page will not be generated")
endif(HELP2MAN AND GZIP)
if(ENABLE_TOOLS AND GZIP)
	set(TOOLS 
		"ss_pak_extract" "ss_extract" "ss_cover_conv"
		"ss_adpcm_decode" "ss_ipu_conv" "ss_chc_decode"
		"gh_fsb_decrypt" "gh_xen_decrypt")
	set(MAN_SECTION "1")
	foreach(TOOL ${TOOLS})
		set(TOOL_MANFILE ${CMAKE_CURRENT_SOURCE_DIR}/${TOOL}.${MAN_SECTION})
		set(TOOL_MANFILE_GZ ${CMAKE_CURRENT_BINARY_DIR}/${TOOL}.${MAN_SECTION}.gz)
		add_custom_command(
			OUTPUT ${TOOL_MANFILE_GZ}
			COMMAND ${GZIP} -c ${TOOL_MANFILE} > ${TOOL_MANFILE_GZ}
			MAIN_DEPENDENCY ${TOOL_MANFILE}
			COMMENT "Building ${TOOL} man page"
			VERBATIM
		)
		add_custom_target(${TOOL}.${MAN_SECTION} ALL DEPENDS ${TOOL_MANFILE_GZ})
		install(FILES ${TOOL_MANFILE_GZ} DESTINATION share/man/man${MAN_SECTION})
	endforeach(TOOL)
endif(ENABLE_TOOLS AND GZIP)

=== debian/changelog ===
performous (1.1+git20181118-6) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Remove -mno-altivec on ppc64el as not needed anymore. (Closes: #1010095)

  [ Markus Koschany ]
  * Fix FTBFS with ffmpeg 5.
    Thanks to Dan Bungert for the patch. (Closes: #1004616)
  * Declare compliance with Debian Policy 4.6.2.
  * Switch to debhelper-compat = 13.
  * Use canonical VCS URI.
  * Remove dh_missing override and get-orig-source target. Both are obsolete.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2023 19:20:54 +0100

performous (1.1+git20181118-5) unstable; urgency=medium

  * Team upload
  * Use swresample instead of deprecated avresample (Closes: #971322)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Sep 2021 10:00:34 +0200

performous (1.1+git20181118-4) unstable; urgency=medium

  * Team upload
  * Apply fixes from experimental branch to fix builds with latomic flag

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2020 12:12:49 +0100

performous (1.1+git20181118-3) unstable; urgency=medium

  * Team upload
  * New pango requires new harfbuzz, patch taken from Ubuntu that fixes FTBFS
    with pango from debian/experimental

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2020 11:19:20 +0100

performous (1.1+git20181118-2) unstable; urgency=medium

  * Readd performous-tools.links.
  * Fix FTBFS on armel/mips/mipsel and link against -latomic.
    Thanks to Adrian Bunk for the report and patch. (Closes: #914667)

 -- Markus Koschany <apo@debian.org>  Mon, 26 Nov 2018 12:21:08 +0100

performous (1.1+git20181118-1) unstable; urgency=medium

  * New upstream version 1.1+git20181118.
    - Fix FTBFS with Boost 1.67. (Closes: #914061)
      Thanks to Adrian Bunk for the report.
    - See README.source how the original tarball was created.
      The www directory contained Javascript files without source and was
      removed.
  * Drop deprecated menu file and xpm icon.
  * Update README.Debian
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Tighten B-D on libboost-all-dev.
  * Build-depend on libglm-dev and libcpprest-dev.

 -- Markus Koschany <apo@debian.org>  Sun, 25 Nov 2018 16:04:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,31 +7,33 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 13),
  gettext,
  help2man,
  libasound2-dev,
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
- libboost-all-dev,
+ libswresample-dev,
+ libboost-all-dev (>= 1.67.0.1),
  libcairo2-dev,
  libepoxy-dev,
  libgl1-mesa-dev,
+ libglm-dev,
  libjpeg-dev,
  libmagick++-dev,
  libpango1.0-dev,
  libpng-dev,
  libportmidi-dev [linux-any],
+ libcpprest-dev,
  librsvg2-dev,
  libsdl2-dev,
  libswscale-dev,
  libxml++2.6-dev,
  pkg-config,
  portaudio19-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/performous.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/performous.git
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/games-team/performous.git
+Vcs-Browser: https://salsa.debian.org/games-team/performous
 Homepage: http://performous.org/
 
 Package: performous

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)

OUR_CPPFLAGS:=
OUR_CXXFLAGS:=
OUR_LDFLAGS:=	-Wl,--as-needed

# needed so top-level exceptions are displayed as fatal errors for users
OUR_CPPFLAGS+=	-DNDEBUG

ifneq (,$(filter ${DEB_HOST_ARCH},armel m68k mips mipsel powerpc powerpcspe sh4))
OUR_LDFLAGS+=	-Wl,--start-group -latomic
endif

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND := ${OUR_CPPFLAGS}
export DEB_CXXFLAGS_MAINT_APPEND := ${OUR_CXXFLAGS}
export DEB_LDFLAGS_MAINT_APPEND := ${OUR_LDFLAGS}

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DENABLE_TOOLS=ON \
		-DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install
	$(RM) debian/performous-tools/usr/games/performous

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/performous-$1\.tar\.gz/ \
  https://github.com/performous/performous/releases .*/(\d\S*)\.tar\.gz
